Subject: Re: PCI on Lite5200/Icecube, known issues?

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 25 Oct 2007 17:11:20 +0200

Grant Likely wrote:
> On 10/25/07, Wolfgang Grandegger <[email-masked]> wrote:
>> Hello,
>>
>> The access to PCI memory space does not to work (I allways read 0xff) on
>> my Icecube-Eval-Board. Are there any known issues/bugs with using the
>> PCI on the Lite5200/Icecube board with 2.6.23? Has it been tested? I
>> realized, that CONFIG_PCI is not set in the default configuration.
> 
> arch/ppc or arch/powerpc?
> 
> I'm not a PCI expert, but I just fired up my Lite5200 with a couple of
> eth adapters plugged in and the devices are usable.  This is a
> 2.6.24-rc1 arch/powerpc kernel.

I'm using a 2.6.23 arch/powerpc kernel. And my eepro100 card does not 
work either:

e100: probe of 0000:00:18.0 failed with error -11

It looks like that 2.6.23 needs some more patches.

Thanks.

Wolfgang.